Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.core.services.databinding
Interface EMFFormsDatabinding

All Known Implementing Classes:
  EMFFormsDatabindingImpl

    public interface EMFFormsDatabinding

`EMFFormsDatabinding` provides a databinding service. It provides four methods for getting an `IValueProperty` or an `IListProperty` from a `VDomainModelReference` and getting an `IObservableValue` or an `IObservableList` from a `VDomainModelReference` and an `EObject`.

Author:
  Lucas Koehler

Method Summary
`org.eclipse.core.databinding.property.list.IListProperty` | `getListProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Returns an `IListProperty` described by the given `VDomainModelReference`.
`org.eclipse.core.databinding.observable.list.IObservableList` | `getObservableList(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Returns an `IObservableList` by observing the list described by the given `VDomainModelReference` of the given `EObject`.
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getObservableValue(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Returns an `IObservableValue` by observing the value described by the given `VDomainModelReference` of the given `EObject`.
`org.eclipse.core.databinding.property.value.IValueProperty` | `getValueProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Returns an `IValueProperty` described by the given `VDomainModelReference`.

Method Detail

### getObservableValue

    org.eclipse.core.databinding.observable.value.IObservableValue getObservableValue(VDomainModelReference domainModelReference,
                                                                                      org.eclipse.emf.ecore.EObject object)
                                                                                      throws DatabindingFailedException

  Returns an `IObservableValue` by observing the value described by the given `VDomainModelReference` of the given `EObject`.

  Parameters:
    `domainModelReference` - The domain model reference pointing to the desired value
    `object` - The object containing the value of the reference
  Returns:
    The resulting `IObservableValue`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if the databinding could not be executed successfully.

### getObservableList

    org.eclipse.core.databinding.observable.list.IObservableList getObservableList(VDomainModelReference domainModelReference,
                                                                                   org.eclipse.emf.ecore.EObject object)
                                                                                   throws DatabindingFailedException

  Returns an `IObservableList` by observing the list described by the given `VDomainModelReference` of the given `EObject`.

  Parameters:
    `domainModelReference` - The domain model reference pointing to the desired list
    `object` - The object containing the values of the reference
  Returns:
    The resulting `IObservableList`, does not return `null`
  Throws:
    `DatabindingFailedException` - if the databinding could not be executed successfully.

### getValueProperty

    org.eclipse.core.databinding.property.value.IValueProperty getValueProperty(VDomainModelReference domainModelReference,
                                                                                org.eclipse.emf.ecore.EObject object)
                                                                                throws DatabindingFailedException

  Returns an `IValueProperty` described by the given `VDomainModelReference`.

  Parameters:
    `domainModelReference` - The domain model reference pointing to the desired value
    `object` - The root object of the rendered form
  Returns:
    The resulting `IValueProperty`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if the databinding could not be executed successfully.

### getListProperty

    org.eclipse.core.databinding.property.list.IListProperty getListProperty(VDomainModelReference domainModelReference,
                                                                             org.eclipse.emf.ecore.EObject object)
                                                                             throws DatabindingFailedException

  Returns an `IListProperty` described by the given `VDomainModelReference`.

  Parameters:
    `domainModelReference` - The domain model reference pointing to the desired list
    `object` - The root object of the rendered form
  Returns:
    The resulting `IListProperty`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if the databinding could not be executed successfully.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.